<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
  xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui" xmlns:c="http://java.sun.com/jsp/jstl/core">
<h:head></h:head>
<h:body>
  <ui:composition template="/pages/primodaltemplate.xhtml">
  	<ui:define name="title">
  		<h:outputText value="#{facesContext.translate('title.report.reset')}" />
  	</ui:define>
    <ui:define name="body">
      <p:staticMessage severity="danger" detail="#{facesContext.translate('danger.about.deleting.calculation')}" />
    </ui:define>
    <ui:define name="formbuttons">
      <p:commandButton id="btn_reset" action="#{reportController.doReset}" value="#{facesContext.translate('button.reset.report')}" ajax="false" />
      <p:commandButton id="btn_abort" action="#{reportController.toCalculate(reportModel.calculateReportBean)}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
    </ui:define>
  </ui:composition>
</h:body>
</html>